Gajim and OMEMO on Gentoo Linux · uwot.eu
another meaningless subtitle

Gajim and OMEMO on Gentoo Linux

· by fabio · Read in about 1 min · (157 Words)

OMEMO is the new-ish state of the art end-to-end encryption XMPP protocol extension, Gajim support it via a plugin but making it work on Gentoo is not straightforward at all.
Gajim’s OMEMO plugin requires python-axolotl package to work, since that is not present in Gentoo’s repositories it must be installed from source.
Before doing so a couple of dependencies must be installed first:

$ emerge -a dev-python/protobuf-python
$ chmod o+w /usr/lib64/python3.4/site-packages/protobuf-3.2.0-py3.4.egg/EGG-INFO/namespace_packages.txt
$ emerge -a dev-python/pillow dev-python/qrcode

The chmod command fix some permission issue that arise when installing packages depending on protobuf-python if Python 3.4 support is enabled.
Get and compile python-axolotl:

$ git clone https://github.com/tgalal/python-axolotl.git
$ cd python-axolotl
$ python2.7 setup.py install

Gajim can be installed using the default USE flags:

$ emerge -a gajim

When portage is done compiling and installing, open Gajim, navigate to “Edit -> Plugins”, select “Available” tab and install OMEMO.
Now everything should work as expected.

Useful links:
1. https://github.com/tgalal/python-axolotl
2. https://dev.gajim.org/gajim/gajim-plugins/wikis/OmemoGajimPlugin